> For the complete documentation index, see [llms.txt](https://docs.blockpi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockpi.io/build/api-reference/cosmos-hub/ibc-core-channel-v1-channels-ports-packet_commitments-packet_ack_sequences-unreceived_acks.md).

# /ibc/core/channel/v1/channels/{}/ports/{}/packet\_commitments/{packet\_ack\_sequences}/unreceived\_acks

UnreceivedAcks returns all the unreceived IBC acknowledgements associated with a channel and sequences.

#### **Parameters:**

**channel\_id - string**, channel unique identifier

**port\_id - string**, port unique identifier

**packet\_ack\_sequences - string**, packet sequence

#### Example:

{% code overflow="wrap" %}

```json
// Request
curl -X GET -H 'Content-Type: application/json' https://cosmos.blockpi.network/lcd/v1/<your-api-key>/ibc/core/channel/v1/channels/channel-370/ports/icahost/packet_commitments/1/unreceived_acks

// Result
{
    "sequences": [],
    "height": {
        "revision_number": "4",
        "revision_height": "14099411"
    }
}
```

{% endcode %}
